schema_version: runtime-shell-authority-journal-coverage-cleanup-report-v1
chunk: chunk-000262-runtime-shell-authority-journal-coverage-cleanup
generated_at: "2026-05-18T21:36:00Z"
status: passed
shell_authority:
  shell_entrypoint_validation:
    status: passed
    shell_script_count: 136
    classified_count: 136
    unclassified_count: 0
    emergency_lifecycle_recovery_count: 2
  hard_guarded_paths:
    - path: ai/commands/activate-chunk.sh
      classification: emergency_lifecycle_recovery
      normal_use: blocked
      override: RUNTIME_ALLOW_LEGACY_LIFECYCLE_SHELL=true
    - path: ai/commands/complete-chunk.sh
      classification: emergency_lifecycle_recovery
      normal_use: blocked_without_workflow_approval_record
      override: explicit severe recovery plus valid WORKFLOW_APPROVAL_RECORD
journal_coverage:
  covered_now:
    - chunk_lifecycle
    - operator_questions_and_approvals
    - consultant_checkpoints
  still_planned:
    - approved_action_dispatcher_results
  precise_remaining_scope:
    cfd_0015: canonical work-package lifecycle/archive mutation producer coverage
    cfd_0016: typed dispatcher result execution producer coverage
architecture_reports:
  frontend:
    path: ai/reports/report-000262-frontend-architecture-current.json
    status: passed
    finding_count: 8
    active_finding_count: 7
    accepted_finding_count: 1
  backend_runtime:
    path: ai/reports/report-000262-backend-runtime-architecture-current.json
    status: passed
    finding_count: 46
    active_finding_count: 40
    accepted_finding_count: 6
carry_forward:
  resolved:
    - cfd-0012
    - cfd-0017
  narrowed:
    - cfd-0005
    - cfd-0015
    - cfd-0016
  refreshed:
    - cfd-0027
    - cfd-0028
validation:
  - command: yarn --cwd ai/runtime typecheck
    status: passed
  - command: yarn --cwd ai/runtime build
    status: passed
  - command: node ai/runtime/dist/cli.js supervisor request --action runtime_api_build_reload --json
    status: passed
  - command: node ai/runtime/dist/cli.js supervisor wait --request-id d2c55193 --json
    status: passed
  - command: node ai/runtime/dist/cli.js shell-entrypoints --json
    status: passed
  - command: node ai/runtime/dist/cli.js validate-governance --mode carry-forward-debt --json
    status: passed
  - command: node ai/runtime/dist/cli.js runtime state-surfaces --json
    status: passed
  - command: node ai/runtime/dist/cli.js runtime daemon-freshness --json
    status: passed
